# dataSources.files

List the files attached to a row or page: files in file columns and files embedded in the page. For google_drive, itemId is a folder (its files, partial when there are more than 200) or a file (itself); Google Docs, Sheets and Slides are listed as PDFs. With target, files already imported there are marked. File download addresses are never returned.

`GET | POST /api/v1/accounting/dataSources.files`

Permissions: `accounting:read` · Roles: admin, finance

MCP tool: `accounting_data_sources_files`

## Fields

| Field | Type | Required | Notes |
| --- | --- | --- | --- |
| `source` | enum | Yes | Where the record came from. One of: `notion`, `google_drive`, `onedrive`. |
| `itemId` | string | Yes | 1–200 characters; Matches ^[A-Za-z0-9_.:-]+$. |
| `target` | enum |  | One of: `receipts`, `tax_sources`, `signing_files`, `executed_agreements`, `contractor_agreements`, `company_documents`. |

## Example request

```bash
curl -G https://app.getoatmilk.com/api/v1/accounting/dataSources.files \
  -H "Authorization: Bearer $OATMILK_API_KEY" \
  --data-urlencode 'source=notion' \
  --data-urlencode 'itemId=item_id'
```

Reference page: https://app.getoatmilk.com/docs/api/dataSources.files
